.password-icon{
    position: absolute;
    right: 10px;
    top: 67%;
    transform: translateY(-50%);
    cursor: pointer;
}
.main-content-area {
    background-color: var(--card-color);
    border-radius: 12px;
    margin: 50px auto;
    padding: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 800px;
}
.alert-success p{
    color:green;
}
.alert-danger{
    color:red;
}
.form-group {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
    font: 400 14px / 21px var(--primary-font);
}
.form-group small {
    color: #fff;
}
.tab {
    display: none;
    flex-direction: column;
    margin-top: 21px;
    padding: 25px 20px;
    border-radius: 12px;
    border: 1px solid var(--main-color);
}
.form-heading{
    border-bottom: 1px solid var(--main-color);
    margin-bottom: 10px;
}
.form-heading h3{
    font-size: 16px;
    color: var(--card-title-color);
    padding-bottom: 5px;
}
.form-area {
    width: 100%;
    max-width: 610px;
    padding: 10px;
}

.tab-button {
    background-color: transparent;
    font: 400 14px / 20px var(--song-card-subtitle-color);
    color: var(--song-card-subtitle-color);
    border: none;
    padding: 8px 16px;
    cursor: pointer;
}

.tab-button.highlight {
    text-decoration: underline var(--primary-color);
    text-underline-offset: 8px;
    color: var(--card-title-color);
    /* Text color for better contrast */
}

.tab-button:hover {
    color: var(--card-title-color);
    /* Hover effect */
}

.tab {
    display: none;
    flex-direction: column;
    padding-bottom: 15px;
}
.form-content{
    border-radius: 12px;
    border: 1px solid var(--main-color);
    margin-top: 21px;
    padding: 25px 20px;
}

.img-area {
    display: flex;
    flex-direction: row;
    column-gap: 16px;
    height: 160px;
    margin-bottom: 20px;
}

.img-upload-area {
    width: calc(50%);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 15px;
    padding: 30px;
    border-radius: 12px;
    background-color: var(--main-color);
}

.img-upload-area p {
    color: var(--song-card-subtitle-color);
    font: 400 16px/20px var(--primary-font);
    text-align: center;
}

.img-upload-area label {
    background-color: var(--card-color);
    color: var(--card-title-color);
    text-align: center;
    padding: 8px 16px;
    border-radius: 12px;
    font: 500 14px/20px var(--primary-font);
    cursor: pointer;
}

.img-upload-area input {
    display: none;
}

.img-preview {
    width: calc(50%);
    height: 100%;
}

.img-area #uploaded-img {
    width: auto;
    height: 100%;
}

.admin-profile img{
    width: 25px;
    border-radius: 50%;
}

.admin-profile .profile-name{
    text-transform: capitalize;
}

.config-form {
    width: 100%;
    display: flex;
    flex-direction: column;
    row-gap: 16px;
}

.config-form label,
.config-form input {
    font: 400 14px / 21px var(--primary-font);
    color: var(--card-title-color);
    letter-spacing: 0.3px;
}

.config-form input,
.config-form textarea {
    padding: 16px;
    border: 1px solid var(--main-color);
    border-radius: 12px;
    background-color: transparent;
    color: var(--card-title-color);
}

.config-form input::placeholder {
    color: var(--song-card-subtitle-color);
}

.config-form #form-button {
    padding: 16px;
    border-radius: 12px;
    margin-top: 24px;
    text-align: center;
    font: 600 14px/21px var(--primary-font);
}

.switch .slider .config-active,
.switch .slider .config-inactive {
    font: 700 14px/16px var(--primary-font);
    /* color: var(--card-title-color); */
}

.switch .slider .config-active{
    color: white;
}

.switch {
    position: relative;
    /* display: inline-block; */
    width: 120px;
    height: 36px;
    border-radius: 5px 0 0 5px;
}

.switch input {
    display: none;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border: 1px solid var(--primary-color);
    border-radius: 5px;
    background-color: var(--song-card-subtitle-color);
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
    border-radius: 5px 0 0 5px;
}

input:checked+.slider {
    background-color: var(--primary-color);
}

/* input:focus+.slider {
    box-shadow: 0 0 1px #2196F3;
} */

input:checked+.slider:before {
    -webkit-transform: translateX(55px);
    -ms-transform: translateX(55px);
    transform: translateX(85px);
    border-radius: 0 5px 5px 0;
}

/*------ ADDED CSS ---------*/
.config-active {
    display: none;
}

.config-active,
.config-inactive {
    color: black;
    position: absolute;
    transform: translate(-50%, -50%);
    top: 50%;
    left: 50%;
    font-size: 10px;
    font-family: Verdana, sans-serif;
    user-select: none;
}

input:checked+.slider .config-active {
    display: block;
}

input:checked+.slider .config-inactive {
    display: none;
}

.cta-btn {
    background-color: var(--primary-color);
    font: 400 16px / 15px var(--primary-font);
    letter-spacing: 0.4px;
    color: white !important;
    border: 1px solid var(--primary-color);
    border-radius: 8px;
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4px;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}


@media screen and (max-width:620px){
    .img-area{
        flex-direction: column;
        align-items: center;
        gap: 10px;
        height: auto;
    }
    .img-upload-area,
    .img-preview #uploaded-img{
        width: 100%;
        height: 100%;
    }
}
